=== doc/requirements.txt ===
sphinx
furo
sphinx-design
sphinxcontrib-spelling
sphinx-autobuild
pyenchant
myst-parser
sphinx-copybutton
