## netplan.io 0.107

=== debian/changelog ===
netplan.io (0.107-5ubuntu0.4) mantic-security; urgency=medium

  * SECURITY REGRESSION: failure on systems without dbus
    - debian/netplan-generator.postinst: Don't call the generator if no
      networkd configuration file exists. (LP: #2071333) 

 -- Sudhakar Verma <sudhakar.verma@canonical.com>  Fri, 28 Jun 2024 22:17:07 +0530

netplan.io (0.107-5ubuntu0.3) mantic-security; urgency=medium

  * SECURITY UPDATE: weak permissions on secret files, command injection
    - d/p/lp2065738/0012-libnetplan-use-more-restrictive-file-permissions.patch:
      Use more restrictive file permissions to prevent unprivileged users to
      read sensitive data from back end files (LP: #2065738, #1987842)
    - CVE-2022-4968
    - d/p/lp2065738/0013-cli-generate-call-daemon-reload-after-generate.patch:
      Call systemd daemon-reload as part of the netplan generate cli command
    - d/p/lp2066258/0014-libnetplan-escape-control-characters.patch:
      Escape control characters in the parser and double quotes in backend
      files.
    - d/p/lp2066258/0015-backends-escape-file-paths.patch:
      Escape special characters in file paths.
    - d/p/lp2066258/0016-backends-escape-semicolons-in-service-units.patch:
      Escape isolated semicolons in systemd service units. (LP: #2066258)
  * debian/netplan-generator.postinst: Add a postinst maintainer script to call
    the generator. It's needed so the file permissions fixes will be applied
    automatically, thanks to danilogondolfo 

 -- Sudhakar Verma <sudhakar.verma@canonical.com>  Mon, 24 Jun 2024 23:58:40 +0530

netplan.io (0.107-5ubuntu0.2) mantic; urgency=medium

  * lp1809994/0010-parse-improve-the-parsing-of-access-points-LP-180999.patch:
    Improve access-points parsing. Properly handle access-points if a second
    pass if required in the parser and not report them as duplicates
    (LP: #1809994).
  * lp1809994/0011-wifi-replace-the-previously-defined-AP-with-the-new-.patch:
    Overwrite the access-point object if another access-point with the same
    name is found instead of ignoring the new one. This behavior is closer
    to the merging process Netplan does.

 -- Danilo Egea Gondolfo <danilo.egea.gondolfo@canonical.com>  Wed, 15 Nov 2023 10:58:49 +0000

netplan.io (0.107-5ubuntu0.1) mantic; urgency=medium

  * d/p/lp2039821/0008-wireguard-ignore-empty-endpoints.patch (LP: #2039821)
    Network Manager GUIs might emit a Wireguard endpoint as an empty string
    when it's omitted. Netplan is rejecting the generated YAML. With this
    patch Netplan will just ignore empty endpoints.
  * d/p/lp2039825/0009-auth-add-support-for-LEAP-and-EAP-PWD.patch
    Netplan's keyfile parser will generate incorrect configuration when
    unsupported EAP method are used. It ends up generating invalid Network
    Manager configuration. This patch implements support for LEAP and PWD
    methods. (LP: #2039825)

 -- Danilo Egea Gondolfo <danilo.egea.gondolfo@canonical.com>  Thu, 19 Oct 2023 15:14:56 +0100

netplan.io (0.107-5) unstable; urgency=medium

  * d/p/lp2034595: Fix NetworkManager loopback interaction (LP: #2034595)

 -- Lukas Märdian <slyon@debian.org>  Thu, 14 Sep 2023 17:08:13 +0530

netplan.io (0.107-4) unstable; urgency=medium

  * Fix placeholder NetDefs in libnetplan iterator (LP: #2034024)
    d/p/0003-util-don-t-return-a-placeholder-netdef-in-the-iterat.patch
  * Relax tunnel.local validation (LP: #2034067)
    debian/patches/lp2034067/*
  * debian/patches: Update DEP-3 headers

 -- Lukas Märdian <slyon@debian.org>  Tue, 05 Sep 2023 09:37:26 +0200

netplan.io (0.107-3) unstable; urgency=medium

  * Split python3-netplan bindings into a separate package

 -- Lukas Märdian <slyon@ubuntu.com>  Sat, 26 Aug 2023 13:16:27 +0200

netplan.io (0.107-2) unstable; urgency=medium

  * d/control: Add runtime dependency on python3-cffi-backend (LP: #2031962)
  * d/t/control: Enable dummy & veth integration tests
  * Fix NetworkManager 1.44 VRF compatibility (LP: #2031421, Closes: #1049432)
    d/p/0001-parse-allow-COMMON_LINK_HANDLERS-for-VRFs-LP-2031421.patch
  * d/rules: Fix dh_clean to cleanup after tests (Closes: #1046524)
  * Fix OVS tests by avoiding NetworkManager taking control
    d/p/0002-test-ovs-Avoid-NetworkManager-taking-contol-breaking.patch
  * d/t/control: Don't hide real OVS test failures as skippable

 -- Lukas Märdian <slyon@debian.org>  Mon, 21 Aug 2023 17:25:33 +0200

netplan.io (0.107-1) unstable; urgency=medium

  * New upstream release: 0.107
    - Support for "dummy" (`dummy-devices`) interfaces (LP: #1774203) (!361)
    - Support for "veth" (`virtual-ethernets`) interfaces (!368)
    - Add Python bindings for libnetplan (!385)
    - netplan: Handle command exceptions (!334)
    - WPA3 (personal) support (LP: #2023238) (!369)
    - Add all the commands to the bash completion file (LP: #1749869) (!326)
    - New submodule for state manipulation (!379)
    - commands/status: show routes from all routing tables (!390)
    - cli:status: Make rich pretty printing optional (!388)
    - libnetplan: expose dhcp4 and dhcp6 properties (!394)
    - Expose macaddress and DNS configuration from the netdef (!395)
    - libnetplan: expose the routes list in the netdef (!397)
    - NetworkManager: Wireguard private key flag support (!371)
    - Add a netplan_parser_load_keyfile() Python binding (!351)
    - keyfile parser: add support for all tunnel types (LP: #2016473) (!360)
    - parse-nm:wg: add support for reading the listen-port property (!372)
    - parse-nm: add support for VRF devices (!398)
    - Vlan keyfile parser support (!370)
    - Netplan docs rework (!333 & !337)
    - docs: Add a short netplan-everywhere howto (!325)
    - doc: make us of sphinx copybutton plugin (!354)
    - doc: Add Ubuntu Code of Conduct 2.0 (!355)
    - doc: Explanation about 00-network-manager-all.yaml (!378)
    Bug fixes:
    - Fix FTBFS on Fedora and refresh RPM packaging (!323)
    - parser: validate lacp-rate properly (LP: #1745648) (!324)

