=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=meson

override_dh_auto_clean:
	dh_auto_clean
	make clean

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dpython.purelibdir=/usr/lib/python3/dist-packages \
		-Dpython.platlibdir=/usr/lib/python3/dist-packages

execute_after_dh_auto_install:
	# Drop __pycache__
	rm -rf debian/tmp/usr/lib/python3/dist-packages/netplan/__pycache__/
	# Drop legacy symlink
	rm debian/tmp/lib/netplan/generate
	# Fix non-usrmerged paths & drop legacy symlink
	# rm -rf debian/tmp/lib
	# mkdir -p debian/tmp/usr/lib/systemd/system-generators
	# ln -s /usr/libexec/netplan/generate debian/tmp/usr/lib/systemd/system-generators/netplan
