=== doc/requirements.txt ===
--- 
+++ 
@@ -6,3 +6,4 @@
 pyenchant
 myst-parser
 sphinx-copybutton
+breathe
