=== debian/control ===
--- 
+++ 
@@ -21,7 +21,6 @@
  python3-dbus <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
- python3-rich <!nocheck>,
  python3-yaml <!nocheck>,
  python3-netifaces <!nocheck>,
  libcmocka-dev,
@@ -34,8 +33,8 @@
  pandoc,
  openvswitch-switch <!nocheck>,
  meson,
-Vcs-Git: https://salsa.debian.org/debian/netplan.io.git
-Vcs-Browser: https://salsa.debian.org/debian/netplan.io
+Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/netplan/+git/ubuntu
+Vcs-Browser: https://git.launchpad.net/~ubuntu-core-dev/netplan/+git/ubuntu
 Homepage: https://netplan.io/
 
 Package: netplan.io
@@ -50,10 +49,14 @@
  python3,
  python3-dbus,
  python3-netplan,
- python3-rich,
  python3-yaml,
  python3-netifaces,
  systemd (>= 248~),
+Suggests: python3-rich
+Conflicts: netplan
+Breaks: nplan (<< 0.34~)
+Replaces: nplan (<< 0.34~)
+Provides: nplan
 Description: YAML network configuration abstraction for various backends
  netplan reads YAML network configuration files which are written
  by administrators, installers, cloud image instantiations, or other OS
