=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,4 @@
-Test-Command: systemctl is-active openvswitch-switch.service && ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=ovs || exit 77
+Test-Command: (systemctl is-active openvswitch-switch.service || exit 77) && ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=ovs
 Tests-Directory: tests/integration
 Depends: @,
   systemd-resolved | systemd (<< 251.3-2~),
@@ -104,4 +104,3 @@
 Depends: @,
   systemd-resolved | systemd (<< 251.3-2~),
   network-manager,
-  hostapd,
